> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Roles

> Get all roles in a workspace



## OpenAPI

````yaml get /workspace/{workspaceId}/roles
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /workspace/{workspaceId}/roles:
    get:
      tags:
        - Workspace
      description: Get all roles in a workspace
      parameters:
        - schema:
            type: boolean
          in: query
          name: group
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  roles:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        group_roles:
                          type: array
                          items:
                            type: string
                        permissions:
                          type: array
                          items:
                            type: string
                        _id:
                          type: string
                        manual_users:
                          type: array
                          items:
                            type: string
                      required:
                        - name
                        - group_roles
                        - permissions
                        - _id
                  group_roles:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        rank:
                          type: number
                        id:
                          type: string
                required:
                  - roles
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````